Mac 系统安装低版本 PHP及多版本 PHP

AndyYang| 阅读:1000 发表时间:2022-03-25 23:33:56 php
摘要:首先通过 brew search php,可以看到只有php@8.0,及默认的php,默认的php是8.1.
首先通过 brew search php
可以看到只有php@8.0,及默认的php,默认的php是8.1

也就是说没有我想安装的php7.1版本或者更老的php版本。

通过命令 brew tap exolnet/homebrew-deprecated
可以将老的或者已经遗弃的php版本找回来。
有些文章说用:brew tap shivammathur/php,测试报错,作用相同。

安装完之后继续使用 brew search php
发现 老版本的php回来了,我们用的是php7.0
再通过 brew install shivammathur/php/php@7.0 来安装对应的php版本即可。

我的mac装了最新的8.1,又装了7.0,那如何切换呢?
brew install brew-php-switcher

安装好后,我现在是 8.1 我要切换到 7.0
brew-php-switcher 7.0

备注:停止不需要版本的服务。
brew services stop php
Brew services restart php@7.0

查看PHP版本,已经变为7.0。
本文为AndyYang原创,转载请注明出处!
如果您觉得好,可以打赏作者:
如果您觉得累了,是否想看点美女养养眼:猛戳>>朋友帮
如果您觉得皮了,是否想来点神吐槽:猛戳>>iPhone查询中

已有0条评论

昵称:
邮箱:

  • 最新评论

iPhone查询中 - bbs.ipcxz.com 朋友帮 - www.pengyb.cn iPhone查询中 - bbs.ipcxz.com
反馈
微信订阅号